#include "core/XMLPort.h"
#include "core/BaseObject.h"

#include <string>

#pragma once

namespace orxonox{
	class AnswerId : public BaseObject
	{
		public:
			AnswerId(Context* context);
			virtual ~AnswerId();
			virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);

			void setId(std::string Id);
			std::string getId();

		private: 
			std::string Id_;
	};
}